import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';
import { S as StyledHost } from './styled-host.js';
import './justifi-details2.js';
import './event-types.js';
import './justifi-radio-list-item2.js';
import { d as defineCustomElement$5 } from './card-billing-form-simple2.js';
import { d as defineCustomElement$4 } from './custom-popper2.js';
import { d as defineCustomElement$3 } from './form-control-text2.js';
import { d as defineCustomElement$2 } from './form-control-tooltip2.js';

const JustifiCardBillingFormSimple$1 = /*@__PURE__*/ proxyCustomElement(class JustifiCardBillingFormSimple extends HTMLElement {
    constructor(registerHost) {
        super();
        if (registerHost !== false) {
            this.__registerHost();
        }
        this.__attachShadow();
    }
    async getValues() {
        var _a, _b;
        return (_b = (_a = this.cardBillingFormSimpleRef) === null || _a === void 0 ? void 0 : _a.getValues()) !== null && _b !== void 0 ? _b : {};
    }
    async validate() {
        var _a, _b;
        return (_b = (_a = this.cardBillingFormSimpleRef) === null || _a === void 0 ? void 0 : _a.validate()) !== null && _b !== void 0 ? _b : { isValid: false, errors: {} };
    }
    render() {
        return (h(StyledHost, { key: '799c9c1ed22b4794fc292a6cbe0986ad91c41cd9' }, h("card-billing-form-simple", { key: '5a96ecdd0a474fae719f6fa48bcb4a88fd74ef92', legend: this.legend, ref: (el) => (this.cardBillingFormSimpleRef = el) })));
    }
}, [257, "justifi-card-billing-form-simple", {
        "legend": [1025],
        "getValues": [64],
        "validate": [64]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["justifi-card-billing-form-simple", "card-billing-form-simple", "custom-popper", "form-control-text", "form-control-tooltip"];
    components.forEach(tagName => { switch (tagName) {
        case "justifi-card-billing-form-simple":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, JustifiCardBillingFormSimple$1);
            }
            break;
        case "card-billing-form-simple":
            if (!customElements.get(tagName)) {
                defineCustomElement$5();
            }
            break;
        case "custom-popper":
            if (!customElements.get(tagName)) {
                defineCustomElement$4();
            }
            break;
        case "form-control-text":
            if (!customElements.get(tagName)) {
                defineCustomElement$3();
            }
            break;
        case "form-control-tooltip":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
    } });
}
defineCustomElement$1();

const JustifiCardBillingFormSimple = JustifiCardBillingFormSimple$1;
const defineCustomElement = defineCustomElement$1;

export { JustifiCardBillingFormSimple, defineCustomElement };
